Index: demo/dijkstra_demo.cc
===================================================================
--- demo/dijkstra_demo.cc	(revision 1636)
+++ demo/dijkstra_demo.cc	(revision 1641)
@@ -23,4 +23,6 @@
 /// facilities supplied by our implementation: for the detailed
 /// documentation of the LEMON Dijkstra class read \ref lemon::Dijkstra "this".
+///
+/// \include dijkstra_demo.cc
 
 #include <iostream>
@@ -28,5 +30,4 @@
 #include <lemon/list_graph.h>
 #include <lemon/dijkstra.h>
-//#include <lemon/graph_writer.h>
 
 using namespace lemon;
@@ -70,38 +71,34 @@
     len.set(v5_t, 8);
 
-    std::cout << "This program is a simple demo of the LEMON Dijkstra class."<<std::endl;
-    std::cout << "We calculate the shortest path from node s to node t in a graph."<<std::endl;
-    std::cout <<std::endl;
+    std::cout << "This program is a simple demo of the LEMON Dijkstra class."
+	      << std::endl;
+    std::cout <<
+      "We calculate the shortest path from node s to node t in a graph."
+	      << std::endl;
+    std::cout << std::endl;
 
 
-    std::cout << "The id of s is " << g.id(s)<< ", the id of t is " << g.id(t)<<"."<<std::endl;
+    std::cout << "The id of s is " << g.id(s)<< ", the id of t is "
+	      << g.id(t) << "." << std::endl;
 
     std::cout << "Dijkstra algorithm demo..." << std::endl;
-
 
     Dijkstra<Graph, LengthMap> dijkstra_test(g,len);
     
     dijkstra_test.run(s);
+    
+    std::cout << "The distance of node t from node s: "
+	      << dijkstra_test.dist(t) << std::endl;
 
+    std::cout << "The shortest path from s to t goes through the following "
+	      << "nodes (the first one is t, the last one is s): "
+	      << std::endl;
+
+    for (Node v=t;v != s; v=dijkstra_test.predNode(v)) {
+      std::cout << g.id(v) << "<-";
+    }
     
-    std::cout << "The distance of node t from node s: " << dijkstra_test.dist(t)<<std::endl;
-
-    std::cout << "The shortest path from s to t goes through the following nodes (the first one is t, the last one is s): "<<std::endl;
-
-    for (Node v=t;v != s; v=dijkstra_test.predNode(v)){
-	std::cout << g.id(v) << "<-";
-    }
     std::cout << g.id(s) << std::endl;	
     
-
     return 0;
 }
-
-
-
-
-
-
-
-
-
Index: demo/dim_to_lgf.cc
===================================================================
--- demo/dim_to_lgf.cc	(revision 1626)
+++ demo/dim_to_lgf.cc	(revision 1641)
@@ -21,4 +21,6 @@
 /// This program converts various DIMACS formats to the LEMON Graph Format
 /// (LGF).
+///
+/// \include dim_to_lgf.cc
 
 #include <iostream>
Index: demo/graph_to_eps_demo.cc
===================================================================
--- demo/graph_to_eps_demo.cc	(revision 1630)
+++ demo/graph_to_eps_demo.cc	(revision 1641)
@@ -26,4 +26,6 @@
 /// color, shape, size, title etc.) of nodes and edges individually
 /// using appropriate \ref maps-page "graph maps".
+///
+/// \include graph_to_eps_demo.cc
 
 #include <cmath>
Index: demo/hello_lemon.cc
===================================================================
--- demo/hello_lemon.cc	(revision 1636)
+++ demo/hello_lemon.cc	(revision 1641)
@@ -22,4 +22,6 @@
 /// the very basic notions of the LEMON library: \ref graphs "graphs" and
 /// \ref maps-page "maps". Click on the links to read more about these.
+///
+/// \include hello_lemon.cc
 
 #include <iostream>
@@ -82,5 +84,6 @@
   std::cout <<  std::endl;
   for (EdgeIt i(g); i!=INVALID; ++i)
-    std::cout << "length(" << g.id(g.source(i)) << "," << g.id(g.target(i)) << ")="<<length[i]<<std::endl;
+    std::cout << "length(" << g.id(g.source(i)) << ","
+	      << g.id(g.target(i)) << ")="<<length[i]<<std::endl;
 
   std::cout << std::endl;
Index: demo/kruskal_demo.cc
===================================================================
--- demo/kruskal_demo.cc	(revision 1584)
+++ demo/kruskal_demo.cc	(revision 1641)
@@ -21,4 +21,6 @@
 /// This demo program shows how to find a minimum weight spanning tree
 /// in a graph by using the Kruskal algorithm. 
+///
+/// \include kruskal_demo.cc
 
 #include <iostream>
@@ -124,5 +126,6 @@
     std::cout << g.id(tree_edge_vec[i]) << ";" ;
   std::cout << std::endl;
-  std::cout << "The size of the tree again is: "<< tree_edge_vec.size()<< std::endl; 
+  std::cout << "The size of the tree again is: "<< tree_edge_vec.size()
+	    << std::endl; 
 
   
Index: demo/lp_demo.cc
===================================================================
--- demo/lp_demo.cc	(revision 1636)
+++ demo/lp_demo.cc	(revision 1641)
@@ -24,4 +24,6 @@
 /// example). For the detailed documentation of the LEMON LP solver
 /// interface read \ref lemon::LpSolverBase "this".
+///
+/// \include lp_demo.cc
 
 #include <lemon/lp.h>
Index: demo/lp_maxflow_demo.cc
===================================================================
--- demo/lp_maxflow_demo.cc	(revision 1610)
+++ demo/lp_maxflow_demo.cc	(revision 1641)
@@ -23,4 +23,6 @@
 /// the emphasis on the simplicity of the way one can formulate LP
 /// constraints that arise in graph theory in our library LEMON .
+///
+/// \include lp_maxflow_demo.cc
 
 #include<lemon/graph_reader.h>
Index: demo/reader_writer_demo.cc
===================================================================
--- demo/reader_writer_demo.cc	(revision 1640)
+++ demo/reader_writer_demo.cc	(revision 1641)
@@ -23,5 +23,6 @@
 /// a graph and additional maps (on the nodes or the edges) from/to a
 /// stream. 
-
+///
+/// \include reader_writer_demo.cc
 
 #include <iostream>
Index: demo/sub_graph_adaptor_demo.cc
===================================================================
--- demo/sub_graph_adaptor_demo.cc	(revision 1636)
+++ demo/sub_graph_adaptor_demo.cc	(revision 1641)
@@ -22,5 +22,6 @@
 /// This program computes a maximum number of edge-disjoint shortest paths
 /// between nodes \c s and \c t.
-
+///
+/// \include sub_graph_adaptor_demo.cc
 
 // Use a DIMACS max flow file as input.
Index: lemon/smart_graph.h
===================================================================
--- lemon/smart_graph.h	(revision 1631)
+++ lemon/smart_graph.h	(revision 1641)
@@ -151,4 +151,6 @@
     protected:
       int n;
+      ///\e
+
       ///\todo It should be removed (or at least define a setToId() instead).
       ///
